var frameModule = require("ui/frame");
var Color = require("color").Color;

var helpers = function() {};

helpers.color = function(hex, alpha = 1) {
  alpha = Math.min(Math.max(alpha, 0), 1);
  alpha = Math.round(255 * alpha);

  var shorthandRegex = /^#?([a-f\d])([a-f\d])([a-f\d])$/i;
  hex = hex.replace(shorthandRegex, function(m, r, g, b) {
    return r + r + g + g + b + b;
  });
  var regex = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
  var hexResult = (regex ? {
    r: parseInt(regex[1], 16),
    g: parseInt(regex[2], 16),
    b: parseInt(regex[3], 16)
  } : null);

  var value = new Color(alpha, hexResult.r, hexResult.g, hexResult.b);
  return value;
};

module.exports = helpers;